import React, { useState, useEffect } from 'react';
import {FormComponent} from '@formbird/types';
import { convertToCustomElement } from '../utils/CustomElementWrapper';

const PdEd209Component = ({
  document,
  fieldValue,
  template,
  fieldName,
  formParameters,
  key,
  responsiveLayouts,
  message,
  componentDefinition
}) => {

  const [value, setValue] = useState();

  useEffect(() => {
    if (fieldValue) {
      setValue(fieldValue);
    } else if (componentDefinition.defaultValue) {
      setValue(componentDefinition.defaultValue);
    }
  }, []);

  return (
    <p>pd-ed209 works. Please edit src/components/PdEd209Component.tsx to make changes</p>
  );
};

// register the component as a custom element so it can be shown in formbird
convertToCustomElement('pd-ed209', PdEd209Component);

export default PdEd209Component;
